package cn.com.qmth.stmms.biz.common.domain.card;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.databind.JsonNode;

import java.util.Collections;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class FillItem {

    @JsonProperty("main_number")
    private Integer mainNumber;

    @JsonProperty("sub_number")
    private Integer subNumber;

    @JsonProperty("options")
    private List<double[]> options = Collections.emptyList();

    @JsonProperty("recog_info")
    private List<JsonNode> recogInfo = Collections.emptyList();

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public List<double[]> getOptions() {
        return options;
    }

    public void setOptions(List<double[]> options) {
        this.options = options;
    }

    public List<JsonNode> getRecogInfo() {
        return recogInfo;
    }

    public void setRecogInfo(List<JsonNode> recogInfo) {
        this.recogInfo = recogInfo;
    }
}
